Skip to content
Start here

Initiate video uploads using TUS

client.Stream.New(ctx, params) error
POST/accounts/{account_id}/stream

Initiates a video upload using the TUS protocol. On success, the server responds with a status code 201 (created) and includes a location header to indicate where the content should be uploaded. Refer to https://tus.io for protocol details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream Write
ParametersExpand Collapse
params StreamNewParams
AccountID param.Field[string]

Path param: The account identifier tag.

maxLength32
Body param.Field[unknown]

Body param

TusResumable param.Field[StreamNewParamsTusResumable]

Header param: Specifies the TUS protocol version. This value must be included in every upload request. Notes: The only supported version of TUS protocol is 1.0.0.

const StreamNewParamsTusResumable1_0_0 StreamNewParamsTusResumable = "1.0.0"
UploadLength param.Field[int64]

Header param: Indicates the size of the entire upload in bytes. The value must be a non-negative integer.

minimum0
DirectUser param.Field[bool]optional

Query param: Provisions a URL to let your end users upload videos directly to Cloudflare Stream without exposing your API token to clients.

UploadCreator param.Field[string]optional

Header param: A user-defined identifier for the media creator.

maxLength64
UploadMetadata param.Field[string]optional

Header param: Comma-separated key-value pairs following the TUS protocol specification. Values are Base-64 encoded. Supported keys: name, requiresignedurls, allowedorigins, thumbnailtimestamppct, watermark, scheduleddeletion, maxdurationseconds.

Initiate video uploads using TUS

package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.Stream.New(context.TODO(), stream.StreamNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Body: map[string]interface{}{
    },
    TusResumable: cloudflare.F(stream.StreamNewParamsTusResumable1_0_0),
    UploadLength: cloudflare.F(int64(0)),
  })
  if err != nil {
    panic(err.Error())
  }
}
{}
Returns Examples
{}